package com.logicbig.example;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import javax.annotation.PostConstruct;
import java.math.BigDecimal;

@SpringBootApplication
public class ExampleMain {

    @Autowired
    private InventoryService inventoryService;
    @Autowired
    private MsgService msgService;
    @Autowired
    private OrderService orderService;

    @PostConstruct
    private void postConstruct(){
        inventoryService.addStockItem("item1", 10, BigDecimal.valueOf(20.5));
        msgService.sendMessage("item added");
        orderService.placeOrder("item1", 5);
    }

    public static void main(String[] args) {
        SpringApplication.run(ExampleMain.class, args);
    }
}